
[general]
	#Defines how many Dimensions can be generated at the same time, this is due to thread limitations mcs worldgen has. 0 => Single Dimension, 1 => Up to 3 dimensions (Ensures each dimension has at least 2 threads), 2 => Up to 5 Dimensions (Dimensions will fight over CPU Threads due to limitations)
	#Range: 0 ~ 2
	"Threading Rule" = 2
	#Defines if each world should use multiple threads to generate. This feature can improve worldgen speed drastically, but deadlocks can happen with it too.
	#If deadlock issues happen, like the worldgen stops randomly, disabling this might fix it for you at the slight slowdown in worldgen
	#If the config is changed the pregeneration needs to be restarted
	"Multithreaded WorldGen" = true
	#Defines if the SyncChunkWrite config should be not forcefully set to false. Note: SyncChunkWrite "May" Prevent data corruption. Though this was only enabled since 1.16 before it was always disabled. Downside of this is that HDDs/SSDs during pregen are at 100% usage ALL the time instead of less then 5%. This can lead to hardware failure much much much much more quickly. This is why the override is enabled by default
	"Disable ChunkSyncOverride" = false
	#Override increases the Watchdog Kill switch to a minimum of 10 minutes instead of 60 seconds. Because Heavy modpacks cause spikes that can last 60 seconds during pregen and saving, this just reduces crashes by minecraft itself and leaves the killswitch
	"Disable Watchdog Override" = false
	#Defines how many Players have to be online for the Processor to Auto Pause, -1 = Disabled. It is Inclusive 2 = Allows 1 Player
	#Range: > -1
	"Player Limit" = -1
	#Defines how many milliseconds the Chunk Deleter gets per tick
	#Range: 1 ~ 1000
	"Deletion Time" = 10
	#Defines if there should be a check/warn for a missconfigured server where lag will be most likely happen due to little cores being provided.
	docker-warning = true
	#Defines if the pregenerator should automatically restart on server start. Automatically set to true when a task is running, and automatically set to false if no task is running
	auto-restart = false
	#Defines if the pregenerator should kill the server when you get close to running out of memory for a while. This is to prevent World Corruption
	"enable Memory Protector" = false
	#Defines how much memory should be free before the Memory Protector should kick in.
	#Range: > 32
	"Required Free Memory" = 1024
	info = true

[client]

	[client.pregen-overlay]
		#Defines if the Pregen Overlay should be enabled
		pregen-overlay = true
		#Defines the Horizontal Alignment of the UI, left to right
		#Allowed Values: START, CENTER, END
		horizontal-alignment = "START"
		#Defines the Vertical Alignment of the UI, top to bottom
		#Allowed Values: START, CENTER, END
		vertical-alignment = "START"
		#Defines the Scale of the Overlay
		#Range: 0.1 ~ 10.0
		scale = 1.0

